<? if (!defined("_GNUBOARD_")) exit;
include($zms[service_path]."/config.php");
?>
<link rel="stylesheet" href="<?=$zms['service_path']?>/style.css" type="text/css">

<? //-- 관리자 일 때만 편집 상태. 그리고 환경설정에서 사용 안 함으로 체크 됐으면.
if($is_admin != "super" || (!$zm_config[pageeditor])) : ?>
	<style>
	div.page_editor_box	{ border:0; }
	</style>
	<script>
		$(function(){
			$("div.page_editor_box > div.bttn_box").remove();
		});
	</script>
<? endif; ?>


<div class="page_editor_box">

	
	<div class="bttn_box">
		<input type="button" value="편집" onclick="editwin('edit', '<?=$option?>')">
		<input type="button" value="관리" onclick="editwin('admin', '')">
	</div>
<?
if($option == "") : ?>
<div class="errmsg">ERR : 페이지 에디터의 페이지코드가 없습니다.</div>
<? endif; ?>

<?
//-- 페이지코드에 맞는 페이지 내용을 불러온다.
$rd	= sql_fetch("select * from zm_page_editor where db_page_code='$option'");

if($rd[db_document] == "" && $option != "") :
	echo "<div class='errmsg'>ERR : 페이지코드에 해당하는 문서를 읽지 못했습니다. 페이지코드를 확인 해 주세요.</div>";
endif;

//-- 페이지 내용 출력
echo $rd[db_document];
?>

</div>	<? //-- end page_editor_box ?>

<script>
function editwin(mode, pagecode){
	if(mode == "edit"){
		window.open("<?=$zms[service_path]?>/pe.edit.php?mode="+mode+"&pc="+pagecode, "pe", "width=800, height=800, scrollbars=yes, tollbar=no, resizable=yes");
	}else if(mode == "admin"){
		window.open("<?=$zms[service_path]?>/pe.admin.php", "pe", "width=800, height=800, scrollbars=yes, tollbar=no, resizable=yes");
	}

	return false;
}
</script>